Bug 305661 - High scores not listed according to difficulty
Summary: High scores not listed according to difficulty
Status: RESOLVED FIXED
Alias: None
Product: kreversi
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dmitry Suzdalev
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2012-08-23 13:19 UTC by roger_norton
Modified: 2013-01-09 22:11 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments
This fixes some mistakes which could cause the bug (1.13 KB, patch)
2012-12-06 23:06 UTC, Matija Skala
Details

Note You need to log in before you can comment on or make changes to this bug.
Description roger_norton 2012-08-23 13:19:35 UTC
All high scores are listed under the easy section of the high scores display (accessed by Game > Show High Scores), irrespective of the difficulty level at which the high score was obtained.



Reproducible: Always

Steps to Reproduce:
1.Play saveral games changing to a differnt difficulty level between each game (change between levels using the pull down menu at the bottom right of the menu)
2.Game > Show High Scores to show high scores
3.
Actual Results:  
All high scores dispayed under Easy section of high scores display

Expected Results:  
High scores displayed in section correpsonding to difficulty level of game played.

OS: ubuntu 12.10
Comment 1 Matija Skala 2012-12-06 23:06:22 UTC
Created attachment 75667 [details]
This fixes some mistakes which could cause the bug
Comment 2 Albert Astals Cid 2013-01-09 22:11:48 UTC
Git commit d5ac78a9c734d20ee01c11be3c51d1b6debaf9a3 by Albert Astals Cid, on behalf of Ian Simpson.
Committed on 09/01/2013 at 23:10.
Pushed by aacid into branch 'KDE/4.10'.

Make scores appear in the correct difficulty level
FIXED-IN: 4.10

M  +10   -10   mainwindow.cpp

http://commits.kde.org/kreversi/d5ac78a9c734d20ee01c11be3c51d1b6debaf9a3